package com.schisandra.auth.infra.basic.service;

import com.schisandra.auth.infra.basic.entity.SchisandraAuthRole;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * (SchisandraAuthRole)表服务接口
 *
 * @author makejava
 * @since 2024-03-22 21:35:31
 */
public interface SchisandraAuthRoleService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SchisandraAuthRole queryById(Long id);


    /**
     * 新增数据
     *
     * @param schisandraAuthRole 实例对象
     * @return 实例对象
     */
    int insert(SchisandraAuthRole schisandraAuthRole);

    /**
     * 修改数据
     *
     * @param schisandraAuthRole 实例对象
     * @return 实例对象
     */
    SchisandraAuthRole update(SchisandraAuthRole schisandraAuthRole);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);

    SchisandraAuthRole queryByRoleId(Long code);
}
